Package org.silverpeas.components.suggestionbox.notification

## Class SuggestionNotifyManuallyUserNotification

- java.lang.Object
- - org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder
  - - org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder<T>
    - - org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<T>
      - - org.silverpeas.components.suggestionbox.notification.AbstractSuggestionBoxUserNotification<Suggestion>
        - - org.silverpeas.components.suggestionbox.notification.AbstractSuggestionUserNotification
          - - org.silverpeas.components.suggestionbox.notification.SuggestionNotifyManuallyUserNotification

- All Implemented Interfaces:
    `org.silverpeas.core.notification.user.builder.UserNotificationBuilder`

      public class SuggestionNotifyManuallyUserNotification
      extends AbstractSuggestionUserNotification

  Author:
    Yohann Chastagnier

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

      `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder.NotificationTemporal`

  - ### Field Summary

    - ### Fields inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

      `CUSTOM_NOTIFICATION_SUBJECT, DEFAULT_NOTIFICATION_SUBJECT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SuggestionNotifyManuallyUserNotification​(Suggestion resource, org.silverpeas.core.admin.user.model.User sender)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.silverpeas.core.admin.user.model.User` | `getSenderDetail()` | Gets the `UserDetail` instance of the sender.
    `protected String` | `getTemplateFileName()` |
    `protected Collection<String>` | `getUserIdsToNotify()` |
    `protected void` | `perform​(Suggestion resource)` |

    - ### Methods inherited from class org.silverpeas.components.suggestionbox.notification.AbstractSuggestionUserNotification

      `getAction, getComponentInstanceId, getSender, performNotificationResource, performTemplateData, stopWhenNoUserToNotify`

    - ### Methods inherited from class org.silverpeas.components.suggestionbox.notification.AbstractSuggestionBoxUserNotification

      `getContributionAccessLinkLabelBundleKey, getLocalizationBundlePath, getSenderName, getSuggestionBoxModerators, getTemplatePath`

    - ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

      `createNotification, getBundleSubjectKey, getTitle, getTitle, performBuild, performNotificationResource, performNotificationResource`

    - ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder

      `getResource, getResourceURL, initialize, initializeNotificationResourceData, isGroupCanBeNotified, isSendImmediately, isUserCanBeNotified, performBuild, setResource`

    - ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder

      `build, getBundle, getBundle, getContent, getExternalAddressesToNotify, getGroupIdsToNotify, getMessageType, getNotificationMetaData, getUserIdsToExcludeFromNotifying, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SuggestionNotifyManuallyUserNotification

          public SuggestionNotifyManuallyUserNotification​(Suggestion resource,
                                                          org.silverpeas.core.admin.user.model.User sender)

  - ### Method Detail

    - #### perform

          protected void perform​(Suggestion resource)

      Overrides:
        `perform` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<Suggestion>`

    - #### getUserIdsToNotify

          protected Collection<String> getUserIdsToNotify()

      Specified by:
        `getUserIdsToNotify` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

    - #### getTemplateFileName

          protected String getTemplateFileName()

      Specified by:
        `getTemplateFileName` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<Suggestion>`

    - #### getSenderDetail

          protected org.silverpeas.core.admin.user.model.User getSenderDetail()

      Description copied from class: `AbstractSuggestionBoxUserNotification`
      Gets the `UserDetail` instance of the sender.
      Overrides:
        `getSenderDetail` in class `AbstractSuggestionUserNotification`
      Returns: